<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

  <module name="stock" package="com.axelor.apps.stock.db"/>

  <entity name="StockHistoryLine" persistable="false">
    <many-to-one name="product" ref="com.axelor.apps.base.db.Product" title="Product"/>
    <many-to-one name="trackingNumber" ref="com.axelor.apps.stock.db.TrackingNumber" title="Tracking number"/>
    <many-to-one name="parentStockLocation" ref="com.axelor.apps.stock.db.StockLocation" title="Parent stock location"/>
    <integer name="countIncMvtStockPeriod" readonly="true" title="Nbr of incoming moves"/>
    <decimal name="sumIncQtyPeriod" readonly="true" title="Incoming quantity"/>
    <decimal name="priceIncStockMovePeriod" readonly="true" title="Incoming amount"/>
    <integer name="countOutMvtStockPeriod" readonly="true" title="Nbr of outgoing moves"/>
    <decimal name="sumOutQtyPeriod" readonly="true" title="Outgoing quantity"/>
    <decimal name="priceOutStockMovePeriod" readonly="true" title="Outgoing amount"/>
    <decimal name="realQty" readonly="true" title="Real qty"/>
    <string name="label" readonly="true"/>
    <integer name="searchTypeSelect" title="Product Search Type" selection="product.search.type.select" default="0" />


    <extra-code><![CDATA[
	
      // OPERATION TYPE SELECT
      public static final int OPERATION_TYPE_ALL = 1;
      public static final int OPERATION_TYPE_STOCK_LOCATION = 2;
      public static final int OPERATION_TYPE_CATEGORY_PRODUCT = 3;
      public static final int OPERATION_TYPE_SUB_CATEGORY_PRODUCT = 4;

    ]]></extra-code>


  </entity>
</domain-models>
